%bcond_with rhel

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           viridian 
Version:        1.2
Release:        3%{?dist}
Summary:        A front-end for Ampache
Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://viridian.daveeddy.com/
Source0:        http://launchpad.net/viridianplayer/trunk/1.1.1-release/+download/Viridian-%{version}.tar.gz
Source1:        viridian.desktop
Source2:        ViridianApp-64x64.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel >= 2.4, desktop-file-utils
Requires:       pygtk2
Requires:       gstreamer-plugins-ugly, gstreamer-plugins-good, gstreamer-python
%{?with_rhel:Requires: python-hashlib}
BuildArch:      noarch

%description
Viridian is an Ampache Client that displays all of your media
from your Ampache server in a simple and convenient way, which
makes choosing and streaming music an easy task.

%prep
%setup -q -n Viridian-%{version}


%build
%{__python} setup.py build 


%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

# menu entry
desktop-file-install                                    \
        --vendor ""                                     \
        --dir %{buildroot}%{_datadir}/applications      \
        %SOURCE1

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %SOURCE2 %{buildroot}%{_datadir}/pixmaps/%{name}.png

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README doc/gpl.txt
%{_bindir}/%{name}*
%{python_sitelib}/AmpacheTools
%{!?with_rhel:%{python_sitelib}/Viridian*.egg-info}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog

* Wed Jul 11 2012 Paulo Roma <roma@lcg.ufrj.br> - 1.2-3
- Removed Req. python-sqlite2
  http://lists.fedoraproject.org/pipermail/devel/2012-February/162304.html

* Thu Jan 13 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.2-2
- Added Req gstreamer-python.

* Fri Jan 07 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.2-1
- Updated to 1.2
- Filtering .egg-info for rhel5. 
- Removed patch for AmpacheSession.

* Thu Dec 23 2010 Paulo Roma <roma@lcg.ufrj.br> - 1.1.1-1
- First release
- Patched AmpacheSession.py (Bug #694196)

